<script setup lang="ts">
import { useProductStore } from '@/stores/product'
import { useStockproductStore } from '@/stores/stockproduct'
import { onMounted, ref } from 'vue'

const backendURL = import.meta.env.VITE_BACKEND_URL
const productStore = useProductStore()
const stockproductStore = useStockproductStore()
const inputText = ref(0)
onMounted(() => {
  productStore.getProducts()
})
onMounted(async () => {
  // await productStore.getProducts();
  await stockproductStore.getStockproduct()
})
</script>
<template>
  <v-card theme="light" height="919" outlined="false">
    <v-row class="mt-5">
      <v-col cols="5">
        <span class="fontTitle ml-14">ปรับปรุงจำนวนสินค้า</span>
      </v-col>
      <v-col></v-col>
      <v-col cols="2">
        <v-btn class="font">ชื่อผู้ใช้ : บีมเองจ้า</v-btn>
      </v-col>
    </v-row>
    <v-row class="mt-2">
      <v-col></v-col>
      <v-col>
        <v-card
          theme="light"
          height="600"
          width="1800"
          style="border: 1px solid rgba(0, 0, 0, 0.1); overflow-y: auto; max-height: 500px"
        >
          <v-table style="font-family: Arial, Helvetica, sans-serif">
            <thead>
              <tr style="background-color: #54a4ee; color: #f1f1f1">
                <th style="color: white">รหัสสินค้า</th>
                <th style="color: white">ชื่อสินค้า</th>
                <th style="color: white">จำนวนสินค้าขั้นต่ำ</th>
                <th style="color: white">จำนวนคงเหลือ</th>
                <th style="color: white; width: 10%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="item in productStore.products" :key="item.id">
                <td>{{ item.id }}</td>
                <td>{{ item.name }}</td>
                <td>{{ item.minquantity }}</td>
                <td>{{ item.qtybefore }}</td>
                <td>
                  <v-btn
                    @click="
                      (productStore.productId = item.id!),
                        (productStore.productQuantity = item.qtybefore),
                        (productStore.addProductQuantityStatus =
                          !productStore.addProductQuantityStatus)
                    "
                    icon="mdi-plus"
                    style="width: 40px; height: 40px"
                    >+</v-btn
                  >
                </td>
                <!-- <td ref="inputText"></td> -->
              </tr>
            </tbody>
          </v-table>
          <v-overlay
            class="justify-center"
            v-model="productStore.addProductQuantityStatus"
            @after-leave="productStore.addProductQuantityStatus = false"
            ><center>
              <v-card
                class="mt-16 mx-auto rounded-xl justify-center overflow-y-auto"
                style="height: 300px; width: 500px"
                ><center>
                  กรอกจำนวน :
                  <v-text-field
                    v-model="productStore.addProductQuantityCount"
                    style="height: 70px; width: 200px"
                    :rules="[(v) => /^\d+$/.test(v) || 'Please enter numbers only']"
                  ></v-text-field>
                  <v-btn
                    class="mt-5"
                    @click="
                      productStore.addProductQuantity(
                        productStore.productId,
                        productStore.addProductQuantityCount
                      )
                    "
                    >บันทึก</v-btn
                  ><br /><br />
                  <v-btn @click="productStore.addProductQuantityStatus = false">ยกเลิก</v-btn>
                </center>
              </v-card>
            </center>
          </v-overlay>
        </v-card>
      </v-col>
      <v-col></v-col>
    </v-row>
    <v-row class="mt-4">
      <v-col cols="3" class="ml-13">
        <v-btn to="/stockproduct" class="font"> <v-icon>mdi-arrow-left</v-icon> ย้อนกลับ </v-btn>

        <v-btn to="/" class="font ml-5"> <v-icon>mdi-home</v-icon>กลับหน้าหลัก  </v-btn>
      </v-col>
      <v-col cols="8" class="text-right">
        <v-btn class="font"> <v-icon>mdi-cancel</v-icon> ยกเลิก </v-btn>

        <v-btn class="font ml-5"> <v-icon>mdi-content-save</v-icon> บันทึก </v-btn>
      </v-col>
    </v-row>
  </v-card>
</template>

<style scoped>
.fontTitle {
  text-align-last: center;
  font-family: fantasy;
  font-size: 35px;
  color: black;
}

.fontbtn {
  text-align-last: center;
  font-family: fantasy;
  font-size: 30px;
  color: black;
}

.font {
  text-align-last: center;
  font-family: fantasy;
  font-size: 18px;
  color: black;
}
</style>
